#pragma once
#include "AbstractAction.h"
#include "SimulationController.h"


class StepSimulationAction: virtual public AbstractAction
{
public:
	void setStepInterval(int stepInterval);
	int getStepInterval();
	void AbstractAction::execute();
	void setSimulationController(SimulationController *_simulationController);
private:
	SimulationController* simulationController;
	int stepInterval;
};